Skip to content
ZimData

Developers

Public read API

Metadata for public datasets. File bytes are not included.

List datasets

GET /api/v1/datasets returns public dataset metadata. The machine-readable description is at /api/openapi.

shell
curl -H "Authorization: Bearer $ZIMDATA_API_KEY" \
  https://zimdata.org/api/v1/datasets

OpenAPI document

The full description, as served from /api/openapi.

openapi.json
{
  "openapi": "3.1.0",
  "info": {
    "title": "ZimData public read API",
    "version": "0.1.0",
    "description": "Metadata for public datasets. File bytes are not included."
  },
  "servers": [
    {
      "url": "https://zimdata.org"
    }
  ],
  "paths": {
    "/api/v1/datasets": {
      "get": {
        "operationId": "listDatasets",
        "summary": "List public dataset metadata",
        "security": [
          {
            "bearerAuth": []
          }
        ],
        "responses": {
          "200": {
            "description": "Public dataset metadata."
          },
          "401": {
            "description": "Missing or unknown API key."
          },
          "429": {
            "description": "More than 60 requests an hour for this key."
          }
        }
      }
    },
    "/api/health": {
      "get": {
        "operationId": "health",
        "summary": "Process health",
        "responses": {
          "200": {
            "description": "The app process is up."
          }
        }
      }
    }
  },
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "http",
        "scheme": "bearer"
      }
    }
  }
}